Subject: Re: bug#46790: 28.0.50; make install with native-comp branch

From: Thierry Volpiatto <[email-masked]>
Date: Sun, 25 Apr 2021 14:02:07 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Thierry Volpiatto <[email-masked]>
>> Cc: [email-masked], [email-masked], [email-masked]
>> Date: Sun, 25 Apr 2021 13:14:23 +0000
>> 
>> > If the above is not with the branch HEAD, please do build and install
>> > the latest branch.  The code changes since b064ddd3f60 are needed for
>> > other use cases, so we won't revert them.  We need to understand why
>> > the latest code doesn't work for you.
>> 
>> I am back with the branch at HEAD, as I said before, I can't have the
>> error lines you ask because there is no more error at startup, only when
>> using async-start or dired-async, sorry.
>
> OK.  So the interactive session starts as expected, whether you invoke
> Emacs by "emacs" via PAYH or by its explicit absolute file name
> /usr/local/sbin/emacs-28.0.50/emacs-28.0.50 or by going into
> /usr/local/sbin/emacs-28.0.50 and typing "./emacs", right?  So I think
> there's progress.
>
> I will see what can be done to understand why async-start fails.
>
> In any case, what error messages do you see with async-start now? can
> you show those messages in their entirety?

Nothing more helpful than the output in *emacs* buffer process I sent
previously.

Thanks.

-- 
Thierry